<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="10dp"
        app:cardElevation="5dp">

        <LinearLayout
            android:paddingVertical="16dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_open_new_tab"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/b_open"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Open in a new tab"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

            <View
                android:id="@+id/v_open_new_tab"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_delete"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/f_del"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Delete"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_edit"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/b_bianji"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Edit"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <View
                android:id="@+id/v_edit"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_add_bookmark"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/b_join"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Add to Bookmark"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <View
                android:id="@+id/v_add_bookmark"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_add_navigation"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/b_join"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Add to Navigation"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <View
                android:id="@+id/v_add_navigation"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_add_desktop"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/h_zhuomian"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Add to desktop"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />
            </LinearLayout>

            <View
                android:id="@+id/v_add_desktop"
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginHorizontal="20dp"
                android:layout_marginVertical="16dp"
                android:background="#E5E6EB" />

            <LinearLayout
                android:id="@+id/ll_select"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:background="?android:attr/selectableItemBackground"
                tools:ignore="UseCompoundDrawables">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="12dp"
                    android:src="@mipmap/b_select"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="10dp"
                    android:text="Select"
                    android:textColor="#010101"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>


</FrameLayout>